Retrieve all Expected Machines
Retrieve all Expected Machines.
Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN or PROVIDER_VIEWER suffix.
Alternatively, Tenant Admins may retrieve Expected Machines across Sites where TargetedInstanceCreation is effective. The siteId query parameter is optional and, when provided, further restricts results to that Site.
Authentication
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
Query parameters
Response headers
Response
MAC address of the Expected Machine’s BMC (Baseboard Management Controller)
Serial numbers of the Expected Machine’s fallback DPUs (Data Processing Units)
SKU information included when includeRelation=Sku is specified and the associated SKU belongs to this Expected Machine’s Site. For an association to another Site’s SKU, REST omits sku and returns the stored skuId.
Machine information included when includeRelation=Machine is specified and the associated Machine is found at this Expected Machine’s Site. For an association to another Site’s Machine, REST omits machine and returns the stored machineId.
Optional BMC IP address (IPv4 or IPv6). When set, pre-allocates a reserved IP for the BMC.
When true, this host is eligible for DPF-based provisioning. Returns the effective setting: true when no value is configured. An explicitly configured false value is returned as false.
User-defined key-value pairs for organizing and categorizing Expected Machines
Optional per-host lifecycle profile